<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="cdfnbn">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>cdfnbn</refname>
    <refpurpose> fonction de répartition de la distribution binomiale négative  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[P,Q]=cdfnbn("PQ",S,Xn,Pr,Ompr)
[S]=cdfnbn("S",Xn,Pr,Ompr,P,Q)
[Xn]=cdfnbn("Xn",Pr,Ompr,P,Q,S)
[Pr,Ompr]=cdfnbn("PrOmpr",P,Q,S,Xn)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>P,Q,S,Xn,Pr,Ompr  </term>
        <listitem>
          <para>six vecteurs réels de même taille.
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>P,Q (Q=1-P)  </term>
        <listitem>
          <para>La somme de 0 à S de la distribution binomiale négative En entrée : [0,1].
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>S  </term>
        <listitem>
          <para>Borne supérieure de la somme Il y a F (ou moins) échecs avant le Xième succès. En entrée : [0, +infini). En recherche : [0, 1E300]
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Xn  </term>
        <listitem>
          <para> Le nombre de succès. En entrée : [0, +infini). En recherche : [0, 1E300]
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Pr  </term>
        <listitem>
          <para> La probabilité de succès pour chaque essai binomial En entrée : [0,1]. En recherche : [0,1].
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Ompr  </term>
        <listitem>
          <para>  1-PR En entrée : [0,1]. En recherche : [0,1] PR + OMPR = 1.0 
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Étant donnés les autres, calcule un paramètre de la distribution binomiale négative.
  </para>
    <para>
    Cette distribution renvoie la probabilité d'avoir
    F échecs ou moins avant un succès dans des essais binomiaux, où la probabilité de succès est PR.
  </para>
    <para>
    Les termes individuels sont égaux à la probabilité de
    S échecs avant XN succès qui est égale à
    Choisir( S, XN+S-1 ) * PR^(XN) * (1-PR)^S
  </para>
    <para>
    La formule  26.5.26  de   Abramowitz  et  Stegun,   Handbook   of
    Mathematical Functions  (1966) est utilisée pour réduire le calcul de la fonction de répartition de la distribution à celle d'une loi beta incomplète.
  </para>
    <para>
    Le calcul des autres paramètres implique une recherche d'une valeur conduisant à la valeur désirée pour P. La recherche dépend de la monotonicité de P par rapport aux autres paramètres.
  </para>
    <para>
    Tiré de la librairie DCDFLIB: Library of Fortran Routines for Cumulative Distribution
    Functions, Inverses, and Other Parameters (February, 1994)
    Barry W. Brown, James Lovato and Kathy Russell. The University of
    Texas.
  </para>
  </refsection>
</refentry>
